# junit2md

Utilitaire de transformation de rapport de tests [JUnit](https://junit.org/) (un format courrant dans les frameworks de test) au format [Markdown](https://en.wikipedia.org/wiki/Markdown) via un template personnalisable.

## Usage

```
junit2md <raport_junit1.xml> <raport_junit1.xml> <etc>
```

La version Markdown sera envoyée sur la sortie standard.

## Démarrer avec les sources

### Dépendances de développement

- [Go >= 1.13.4](https://golang.org/)
- [modd](https://github.com/cortesi/modd)
- [packr2](https://github.com/gobuffalo/packr)

### Procédure d'amorçage

```
git clone https://forge.cadoles.com/Cadoles/junit2md.git
cd junit2md
make watch
```

### Générer une release

```
make release
```

Les archives contenant les releases seront disponibles dans le répertoire `release/`.


## Licence

[GPL-3.0](./LICENSE)